#!/usr/bin/perl -w

# Converts a rate category file for the Parisomony like family size model
# Usage: create.pl FILE MAXNUM
# where MAXNUM is the maximum chromosome count to RC

open(RC,">" . $ARGV[0]);

my $num = $ARGV[1];

my $states = "0";

for (my $i = 1; $i <= $num; $i++)
{
	$states = $states . "\t" . $i;
}

print RC ($num + 1). "\n";
print RC "\n";
print RC $states . "\n";
print RC "\n";

for (my $i = 0; $i <= $num; $i++)
{
	my $row;
	for (my $j = 0; $j <= $num; $j++)
	{
		$cell = "0";
		if ($j == $i + 1)
		{
			$cell = "1";
		}
		if ($j == $i - 1)
		{
			$cell = "1";
		}
		
		$row = $row . $cell;
		if ($j != $num)
		{
			$row = $row . "\t";
		}
	}
	print RC $row . "\n";
}

print RC "\n";
print RC "**S\n";

close(RC);