#!/usr/bin/perl -w

# Converts a rate category file for the Mayrose model
# Usage: create.pl FILE MAXNUM
# where MAXNUM is the maximum chromosome count to RC

open(RC,">" . $ARGV[0]);

my $num = $ARGV[1];

my $states = "1";

for (my $i = 2; $i <= $num; $i++)
{
	$states = $states . "\t" . $i;
}

print RC $num . "\n";
print RC "\n";
print RC $states . "\n";
print RC "\n";

for (my $i = 1; $i <= $num; $i++)
{
	my $row;
	for (my $j = 1; $j <= $num; $j++)
	{
		$cell = "0";
		if ($j == $i + 1)
		{
			$cell = "l";
		}
		if ($j == $i - 1)
		{
			$cell = "d";
		}
		if ($j == 2*$i)
		{
			$cell = "r";
		}
		
		$row = $row . $cell;
		if ($j != $num)
		{
			$row = $row . "\t";
		}
	}
	print RC $row . "\n";
}

print RC "\n";
print RC "**F\n";

close(RC);